跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
instagram
/
basic-profile
基本资料
curl --request GET \
  --url https://api.aisa.one/apis/v1/instagram/basic-profile \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/instagram/basic-profile"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/instagram/basic-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "friendship_status": null,
  "gating": null,
  "is_memorialized": false,
  "is_private": false,
  "has_story_archive": null,
  "supervision_info": null,
  "is_regulated_c18": false,
  "regulated_news_in_locations": [],
  "bio_links": [],
  "linked_fb_info": null,
  "text_post_app_badge_label": "zuck",
  "show_text_post_app_badge": true,
  "username": "zuck",
  "text_post_new_post_count": null,
  "pk": "314216",
  "live_broadcast_visibility": null,
  "live_broadcast_id": null,
  "profile_pic_url": "https://instagram.fpoz4-1.fna.fbcdn.net/v/t51.2885-19/550234512_18532404670058217_8758519395071163708_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.fpoz4-1.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QENWmroLq0Z2oxDXF-wYN4Txpcg88E2n5GZTMYtQgXKAlUWi1gMsQQilbgL7mYspgA&_nc_ohc=vS_PAWzWFjcQ7kNvwEe9m50&_nc_gid=AOVYXTTsY5VI85UshvRoHA&edm=ALGbJPMBAAAA&ccb=7-5&oh=00_AfcUDbyLkAcHCLaaiVpvfv4AvlKuZUdsos_eZmuWHS02NQ&oe=68EB29FB&_nc_sid=7d3ac5",
  "hd_profile_pic_url_info": {
    "url": "https://instagram.fpoz4-1.fna.fbcdn.net/v/t51.2885-19/550234512_18532404670058217_8758519395071163708_n.jpg?efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.fpoz4-1.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QENWmroLq0Z2oxDXF-wYN4Txpcg88E2n5GZTMYtQgXKAlUWi1gMsQQilbgL7mYspgA&_nc_ohc=vS_PAWzWFjcQ7kNvwEe9m50&_nc_gid=AOVYXTTsY5VI85UshvRoHA&edm=ALGbJPMBAAAA&ccb=7-5&oh=00_AfcBW_k3ngIbA43oUKKZ9SPx-FtlrQSSbOWg8npnXGqCcg&oe=68EB29FB&_nc_sid=7d3ac5"
  },
  "is_unpublished": false,
  "latest_reel_media": 0,
  "has_profile_pic": null,
  "profile_pic_genai_tool_info": [],
  "biography": "I build stuff",
  "full_name": "Mark Zuckerberg",
  "is_verified": true,
  "show_account_transparency_details": true,
  "account_type": 3,
  "follower_count": 16101999,
  "mutual_followers_count": null,
  "profile_context_links_with_user_ids": null,
  "address_street": null,
  "city_name": null,
  "is_business": false,
  "zip": null,
  "biography_with_entities": {
    "entities": []
  },
  "category": null,
  "should_show_category": false,
  "account_badges": [],
  "ai_agent_type": null,
  "external_lynx_url": null,
  "external_url": "",
  "pronouns": [],
  "transparency_label": null,
  "transparency_product": null,
  "has_chaining": null,
  "remove_message_entrypoint": null,
  "fbid_v2": "17841401746480004",
  "is_embeds_disabled": false,
  "is_professional_account": null,
  "following_count": 617,
  "media_count": 409,
  "total_clips_count": 1,
  "latest_besties_reel_media": null,
  "reel_media_seen_timestamp": null,
  "id": "314216"
}
按用户 ID 获取轻量级个人资料摘要,包括用户名、姓名、简介、统计数据、隐私状态和账户类型。适合快速查询或数据补充。

示例

curl "https://api.aisa.one/apis/v1/instagram/basic-profile" \
  -H "Authorization: Bearer YOUR_API_KEY"

授权

Authorization
string
header
必填

AIsa API 密钥。前往 https://aisa.one 获取

查询参数

userId
string

Instagram 用户 ID

响应

200 - application/json

成功响应

success
boolean
credits_remaining
integer
id
string
pk
string
username
string
full_name
string
biography
string
follower_count
integer
following_count
integer
media_count
integer
is_private
boolean
is_verified
boolean